|  | Home · All Classes · Modules

# QSysInfo Class Reference
[QtCore module]

The QSysInfo class provides information about the system. More...

### Types

- enum Endian { BigEndian, LittleEndian, ByteOrder }
- enum Sizes { WordSize }

### Methods

- __init__ (self)
- __init__ (self, QSysInfo)

## Detailed Description

The QSysInfo class provides information about the system.

- WordSize specifies the size of a pointer for the platform on which the application is compiled.
- ByteOrder specifies whether the platform is big-endian or little-endian.
- WindowsVersion specifies the version of the Windows operating system on which the application is run (Windows only)
- MacintoshVersion specifies the version of the Macintosh operating system on which the application is run (Mac only).

Some constants are defined only on certain platforms. You can use the preprocessor symbols Q_WS_WIN and Q_WS_MAC to test that the application is compiled under Windows or Mac.

See also QLibraryInfo.

## Type Documentation

### QSysInfo.Endian

Constant | Value | Description
--- | --- | ---
`QSysInfo.BigEndian` | `0` | Big-endian byte order (also called Network byte order)
`QSysInfo.LittleEndian` | `1` | Little-endian byte order
`QSysInfo.ByteOrder` | `<platform-dependent>` | Equals BigEndian or LittleEndian, depending on the platform's byte order.

### QSysInfo.Sizes

This enum provides platform-specific information about the sizes of data structures used by the underlying architecture.

Constant | Value | Description
--- | --- | ---
`QSysInfo.WordSize` | `( sizeof( void * ) <<3 )` | The size in bits of a pointer for the platform on which the application is compiled (32 or 64).

## Method Documentation

### QSysInfo.__init__ (self)

### QSysInfo.__init__ (self, QSysInfo)